package gmt.io.server.vo;
/**
 * ServerMonitor정보 List를 관리 하기 위한 vo클래스
 * @author 박병관
 * @since 2018.07.27
 * @version 1.0
 * @see
 *
 * <pre>
 * << 개정이력(Modification Information) >>
 *
 *   수정일      				수정자          	수정내용
 *  -------------   ----------    ---------------------------
 *  2018.07.27  		박병관          	최초개발
 *  </pre>
 */
import gmt.common.vo.MonitorInfoVO;

public class ServerInfoVO {
	//Server Id
	private int id;
	//Server Tag
	private int tag;
	//Server Port
	private int port;
	//Server Name
	private String name;
	//Server에 대한 Monitor정보를 담는 VO
	private MonitorInfoVO MonitorInfo;
	//Server의 SendQ크기
	private int sndQcount;
	//Server의 최대 SendQ크기 **defalut = 100000**
	private int maxSndQCount;      
	//Server에 붙은 ServiceClient 개수
	private int serviceClientCount;
	//Server UseFlag
	private boolean useFlag;
	
	public ServerInfoVO() {
		id = 0;
		tag = 0;
		port = 0;
		name = "";
		MonitorInfo = new MonitorInfoVO();
		sndQcount = 0;
		maxSndQCount = 100000;
		serviceClientCount = 0;
		useFlag = true;
	}
	
	public int getId() {
		return id;
	}
	public int getTag() {
		return tag;
	}
	public int getPort() {
		return port;
	}
	public String getName() {
		return name;
	}
	public MonitorInfoVO getMonitorInfo() {
		return MonitorInfo;
	}
	public int getSndQcount() {
		return sndQcount;
	}
	public int getMaxSndQCount() {
		return maxSndQCount;
	}
	public int getServiceClientCount() {
		return serviceClientCount;
	}
	public boolean isUseFlag() {
		return useFlag;
	}
	public void setId(int id) {
		this.id = id;
	}
	public void setTag(int tag) {
		this.tag = tag;
	}
	public void setPort(int port) {
		this.port = port;
	}
	public void setName(String name) {
		this.name = name;
	}
	public void setMonitorInfo(MonitorInfoVO monitorInfo) {
		MonitorInfo = monitorInfo;
	}
	public void setSndQcount(int sndQcount) {
		this.sndQcount = sndQcount;
	}
	public void setMaxSndQCount(int maxSndQCount) {
		this.maxSndQCount = maxSndQCount;
	}
	public void setServiceClientCount(int serviceClientCount) {
		this.serviceClientCount = serviceClientCount;
	}
	public void setUseFlag(boolean useFlag) {
		this.useFlag = useFlag;
	}
	
	
}
